#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kconfig
Version		:	5.107.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Persistent platform-independent application settings.
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	mesa-devel
BuildRequires	:	qt
#-----------------------------------------------------------------------------
%description
KConfig provides an advanced configuration system. It is made of two parts:
KConfigCore and KConfigGui.

KConfigCore provides access to the configuration files themselves. It features:

- Code generation: describe your configuration in an XML file, and use
  `kconfig_compiler to generate classes that read and write configuration
  entries.
- Cascading configuration files (global settings overridden by local settings).
- Optional shell expansion support (see [docs/options.md](@ref options)).
- The ability to lock down configuration options (see
  [docs/options.md](@ref options)).

KConfigGui provides a way to hook widgets to the configuration so that they are
automatically initialized from the configuration and automatically propagate
their changes to their respective configuration files.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DBUILD_TESTING=OFF 					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc README.md
%{_bindir}/kreadconfig5
%{_bindir}/kwriteconfig5
%{_includedir}/KF5/KConfig/%{name}_version.h
%{_includedir}/KF5/KConfigCore/*
%{_includedir}/KF5/KConfigGui/*
%{_includedir}/KF5/KConfigQml/*
%{_libdir}/libexec/kf5/kconf*
%{_libdir}/cmake/KF5Config/*.cmake
%{_libdir}/libKF5ConfigCore.so*
%{_libdir}/libKF5ConfigGui.so*
%{_libdir}/libKF5ConfigQml.so*
%{_datadir}/locale/*/LC_MESSAGES/%{name}5_qt.qm
%{_datadir}/mkspecs/modules/qt_KConfigCore.pri
%{_datadir}/mkspecs/modules/qt_KConfigGui.pri
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories
#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
